package application

import (
	"sirlab.de/go/knyt/user"
	"time"
)

func (app *Application) updatePlayerIsConnected(usr *user.User) {
	app.updatePlayerATime(usr, time.Now().Add(30*time.Second))
}

func (app *Application) updatePlayerIsDisconnected(usr *user.User) {
	app.updatePlayerATime(usr, time.Now())
}

func (app *Application) updatePlayerATime(usr *user.User, t time.Time) {
	usrId := usr.GetId()

	app.mu.Lock()
	prevTime := app.playerATime[usrId]
	app.playerATime[usrId] = t
	app.mu.Unlock()

	if prevTime.IsZero() {
		gm, err := app.GetGameById(usr.GetGameId())
		if err != nil {
			return
		}
		gm.EventPlayerJoins(usr)
	}
}
