package game

import (
	"sirlab.de/go/knyt/syncdata"
	"sort"
)

func (gm *Game) populateGetPlayers() []syncdata.PlayerInfo {
	players := make([]syncdata.PlayerInfo, 0)
	for _, p := range gm.players {
		if p.isPlaying {
			players = append(players, syncdata.PlayerInfo{
				Id:     p.id,
				Name:   p.name,
				IsIdle: p.isIdle,
				Score:  p.score,
			})
		}
	}

	sort.Slice(players, func(a, b int) bool {
		return players[a].Name < players[b].Name
	})

	return players
}
